pipeline {
  agent any
  stages {
    stage("Code Checkout") {
        steps {
            git branch: 'main',
            credentialsId: 'credential_gitlab_rosi',
            url: 'https://gitlab.com/rosi.achmad/telkomsel.git'
        }
    }
    stage('Deploy to Kubernetes') {
      steps {
        withKubeConfig([credentialsId: 'kubeconfig', serverUrl: 'https://10.194.179.120:6443']) {
          sh 'curl -LO "https://storage.googleapis.com/kubernetes-release/release/v1.20.5/bin/linux/amd64/kubectl"'  
          sh 'chmod u+x ./kubectl'
          sh './kubectl create ns telkomsel'
          sh './kubectl apply -f https://gitlab.com/rosi.achmad/telkomsel/-/raw/main/deployment.yaml'
        }
      }
    }
  }
}
